import { css } from "@linaria/core";
import { MapCountCtrl } from "./control";

export function renderTable(control: MapCountCtrl) {
  const { tabs, state } = control;
  return (
    <table class={tableCls}>
      <thead>
        <th>序列</th>
        <th>省份</th>
        <th>
          {tabs.find((d) => d.value == state.currType)?.label.split("（")[0]}
        </th>
        <th>占比</th>
      </thead>
      <tbody>
        {state.currMapData.map((d, i) => {
          return (
            <tr key={i}>
              <td>{i + 1}</td>
              <td>{d.name}</td>
              <td>{d.value}</td>
              <td>
                {parseFloat(
                  ((d.value / state.total[state.currType]) * 100).toFixed(2)
                ) + "%"}
              </td>
            </tr>
          );
        })}
      </tbody>
    </table>
  );
}

const tableCls = css`
  width: 100%;
  border: 1px solid #f5f6f7;
  font-size: 12px;
  thead {
    height: 48px;
    background-color: #f5f6f7;
    th {
      font-weight: 400;
      color: #666;
      width: 25%;
    }
  }
  tr {
    height: 42px;
    border-bottom: 1px solid #f5f6f7;
    color: #333;
  }
`;
