import { css } from "@linaria/core";
import { useAuth } from "@queenjs-modules/auth";
import { Avatar, Dropdown, Layout, Menu } from "ant-design-vue";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const { store, actions } = useAuth();
  return () => (
    <Layout.Header class={rootCls}>
      <div class="text-20px leading-64px font-bold">Queen分析</div>

      <Dropdown
        overlay={
          <Menu>
            <Menu.Item class="text-center" onClick={actions.logout}>
              退出
            </Menu.Item>
          </Menu>
        }
      >
        <div>
          <Avatar src={store.userInfo.avatar} />
          <span>{store.userInfo.name}</span>
        </div>
      </Dropdown>
    </Layout.Header>
  );
});

const rootCls = css`
  @apply flex justify-between !bg-white;
  border-bottom: 1px solid @inf-border-color;
`;
