import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";
import Layout from "./components/Layout";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "stat",
    component: Layout,
    redirect: "/count",
    children: [
      {
        path: "/count",
        name: "count",
        component: () => import("./Count"),
        meta: {
          needAuth: true,
        },
      },
    ],
  },
  {
    path: "/login",
    name: "login",
    component: () => import("@queenjs-modules/auth/components/Login"),
  },
  {
    path: "/forget",
    name: "forget",
    component: () => import("@queenjs-modules/auth/components/Forget"),
  },
  {
    path: "/register",
    name: "register",
    component: () => import("@queenjs-modules/auth/components/Register"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
